Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeSubnetsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeSubnetsResult

    public class DescribeSubnetsResult

extends Object

Constructor Summary
`DescribeSubnetsResult()`

Method Summary
`List<Subnet>` | `getSubnets()` Contains a set of one or more Subnet instances.
`void` | `setSubnets(Collection<Subnet> subnets)` Contains a set of one or more Subnet instances.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeSubnetsResult` | `withSubnets(Collection<Subnet> subnets)` Contains a set of one or more Subnet instances.
`DescribeSubnetsResult` | `withSubnets(Subnet... subnets)` Contains a set of one or more Subnet instances.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeSubnetsResult

    public DescribeSubnetsResult()

Method Detail

### getSubnets

    public List<Subnet> getSubnets()

  Contains a set of one or more Subnet instances.

  Returns:
    Contains a set of one or more Subnet instances.

### setSubnets

    public void setSubnets(Collection<Subnet> subnets)

  Contains a set of one or more Subnet instances.

  Parameters:
    `subnets` - Contains a set of one or more Subnet instances.

### withSubnets

    public DescribeSubnetsResult withSubnets(Subnet... subnets)

  Contains a set of one or more Subnet instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subnets` - Contains a set of one or more Subnet instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSubnets

    public DescribeSubnetsResult withSubnets(Collection<Subnet> subnets)

  Contains a set of one or more Subnet instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subnets` - Contains a set of one or more Subnet instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.